summaryrefslogtreecommitdiffstats
path: root/iptables/tests/shell/testcases/nft-only/0011-zero-needs-compat_0
diff options
context:
space:
mode:
Diffstat (limited to 'iptables/tests/shell/testcases/nft-only/0011-zero-needs-compat_0')
-rwxr-xr-xiptables/tests/shell/testcases/nft-only/0011-zero-needs-compat_012
1 files changed, 12 insertions, 0 deletions
diff --git a/iptables/tests/shell/testcases/nft-only/0011-zero-needs-compat_0 b/iptables/tests/shell/testcases/nft-only/0011-zero-needs-compat_0
new file mode 100755
index 00000000..e276a953
--- /dev/null
+++ b/iptables/tests/shell/testcases/nft-only/0011-zero-needs-compat_0
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+[[ $XT_MULTI == *xtables-nft-multi ]] || { echo "skip $XT_MULTI"; exit 0; }
+
+set -e
+
+rule="-p tcp -m tcp --dport 27374 -c 23 42 -j TPROXY --on-port 50080"
+for cmd in iptables ip6tables; do
+ $XT_MULTI $cmd -t mangle -A PREROUTING $rule
+ $XT_MULTI $cmd -t mangle -Z
+ $XT_MULTI $cmd -t mangle -v -S | grep -q -- "${rule/23 42/0 0}"
+done